import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 24 30" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-38.000000, -627.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u516C\u8A2D\u9810\u7D04"
          transform="translate(15.000000, 610.000000)"
        >
          <G
            id="fontawesome-webfont-f-1-ad"
            transform="translate(23.000000, 17.000000)"
          >
            <Path
              d="M22.5,0 C22.7901786,0 23.0412946,0.10602678 23.2533482,0.318080357 C23.4654018,0.530133934 23.5714286,0.781250006 23.5714286,1.07142857 L23.5714286,28.9285714 C23.5714286,29.21875 23.4654018,29.4698661 23.2533482,29.6819196 C23.0412946,29.8939732 22.7901786,30 22.5,30 L1.07142857,30 C0.781250006,30 0.530133934,29.8939732 0.318080357,29.6819196 C0.10602678,29.4698661 0,29.21875 0,28.9285714 L0,1.07142857 C0,0.781250006 0.10602678,0.530133934 0.318080357,0.318080357 C0.530133934,0.10602678 0.781250006,0 1.07142857,0 L22.5,0 Z M8.57142857,4.82142857 L8.57142857,5.89285714 C8.57142857,6.04910714 8.62165179,6.17745536 8.72209821,6.27790179 C8.82254464,6.37834821 8.95089286,6.42857143 9.10714286,6.42857143 L10.1785714,6.42857143 C10.3348214,6.42857143 10.4631696,6.37834821 10.5636161,6.27790179 C10.6640625,6.17745536 10.7142857,6.04910714 10.7142857,5.89285714 L10.7142857,4.82142857 C10.7142857,4.66517858 10.6640625,4.53683036 10.5636161,4.43638393 C10.4631696,4.3359375 10.3348214,4.28571429 10.1785714,4.28571429 L9.10714286,4.28571429 C8.95089286,4.28571429 8.82254464,4.3359375 8.72209821,4.43638393 C8.62165179,4.53683036 8.57142857,4.66517858 8.57142857,4.82142857 Z M8.57142857,9.10714286 L8.57142857,10.1785714 C8.57142857,10.3348214 8.62165179,10.4631696 8.72209821,10.5636161 C8.82254464,10.6640625 8.95089286,10.7142857 9.10714286,10.7142857 L10.1785714,10.7142857 C10.3348214,10.7142857 10.4631696,10.6640625 10.5636161,10.5636161 C10.6640625,10.4631696 10.7142857,10.3348214 10.7142857,10.1785714 L10.7142857,9.10714286 C10.7142857,8.95089286 10.6640625,8.82254464 10.5636161,8.72209821 C10.4631696,8.62165179 10.3348214,8.57142857 10.1785714,8.57142857 L9.10714286,8.57142857 C8.95089286,8.57142857 8.82254464,8.62165179 8.72209821,8.72209821 C8.62165179,8.82254464 8.57142857,8.95089286 8.57142857,9.10714286 Z M8.57142857,13.3928571 L8.57142857,14.4642857 C8.57142857,14.6205357 8.62165179,14.7488839 8.72209821,14.8493304 C8.82254464,14.9497768 8.95089286,15 9.10714286,15 L10.1785714,15 C10.3348214,15 10.4631696,14.9497768 10.5636161,14.8493304 C10.6640625,14.7488839 10.7142857,14.6205357 10.7142857,14.4642857 L10.7142857,13.3928571 C10.7142857,13.2366071 10.6640625,13.1082589 10.5636161,13.0078125 C10.4631696,12.9073661 10.3348214,12.8571429 10.1785714,12.8571429 L9.10714286,12.8571429 C8.95089286,12.8571429 8.82254464,12.9073661 8.72209821,13.0078125 C8.62165179,13.1082589 8.57142857,13.2366071 8.57142857,13.3928571 Z M8.57142857,17.6785714 L8.57142857,18.75 C8.57142857,18.90625 8.62165179,19.0345982 8.72209821,19.1350446 C8.82254464,19.2354911 8.95089286,19.2857143 9.10714286,19.2857143 L10.1785714,19.2857143 C10.3348214,19.2857143 10.4631696,19.2354911 10.5636161,19.1350446 C10.6640625,19.0345982 10.7142857,18.90625 10.7142857,18.75 L10.7142857,17.6785714 C10.7142857,17.5223214 10.6640625,17.3939732 10.5636161,17.2935268 C10.4631696,17.1930804 10.3348214,17.1428571 10.1785714,17.1428571 L9.10714286,17.1428571 C8.95089286,17.1428571 8.82254464,17.1930804 8.72209821,17.2935268 C8.62165179,17.3939732 8.57142857,17.5223214 8.57142857,17.6785714 Z M6.42857143,23.0357143 L6.42857143,21.9642857 C6.42857143,21.8080357 6.37834821,21.6796875 6.27790179,21.5792411 C6.17745536,21.4787946 6.04910714,21.4285714 5.89285714,21.4285714 L4.82142857,21.4285714 C4.66517858,21.4285714 4.53683036,21.4787946 4.43638393,21.5792411 C4.3359375,21.6796875 4.28571429,21.8080357 4.28571429,21.9642857 L4.28571429,23.0357143 C4.28571429,23.1919643 4.3359375,23.3203125 4.43638393,23.4207589 C4.53683036,23.5212054 4.66517858,23.5714286 4.82142857,23.5714286 L5.89285714,23.5714286 C6.04910714,23.5714286 6.17745536,23.5212054 6.27790179,23.4207589 C6.37834821,23.3203125 6.42857143,23.1919643 6.42857143,23.0357143 Z M6.42857143,18.75 L6.42857143,17.6785714 C6.42857143,17.5223214 6.37834821,17.3939732 6.27790179,17.2935268 C6.17745536,17.1930804 6.04910714,17.1428571 5.89285714,17.1428571 L4.82142857,17.1428571 C4.66517858,17.1428571 4.53683036,17.1930804 4.43638393,17.2935268 C4.3359375,17.3939732 4.28571429,17.5223214 4.28571429,17.6785714 L4.28571429,18.75 C4.28571429,18.90625 4.3359375,19.0345982 4.43638393,19.1350446 C4.53683036,19.2354911 4.66517858,19.2857143 4.82142857,19.2857143 L5.89285714,19.2857143 C6.04910714,19.2857143 6.17745536,19.2354911 6.27790179,19.1350446 C6.37834821,19.0345982 6.42857143,18.90625 6.42857143,18.75 Z M6.42857143,14.4642857 L6.42857143,13.3928571 C6.42857143,13.2366071 6.37834821,13.1082589 6.27790179,13.0078125 C6.17745536,12.9073661 6.04910714,12.8571429 5.89285714,12.8571429 L4.82142857,12.8571429 C4.66517858,12.8571429 4.53683036,12.9073661 4.43638393,13.0078125 C4.3359375,13.1082589 4.28571429,13.2366071 4.28571429,13.3928571 L4.28571429,14.4642857 C4.28571429,14.6205357 4.3359375,14.7488839 4.43638393,14.8493304 C4.53683036,14.9497768 4.66517858,15 4.82142857,15 L5.89285714,15 C6.04910714,15 6.17745536,14.9497768 6.27790179,14.8493304 C6.37834821,14.7488839 6.42857143,14.6205357 6.42857143,14.4642857 Z M6.42857143,10.1785714 L6.42857143,9.10714286 C6.42857143,8.95089286 6.37834821,8.82254464 6.27790179,8.72209821 C6.17745536,8.62165179 6.04910714,8.57142857 5.89285714,8.57142857 L4.82142857,8.57142857 C4.66517858,8.57142857 4.53683036,8.62165179 4.43638393,8.72209821 C4.3359375,8.82254464 4.28571429,8.95089286 4.28571429,9.10714286 L4.28571429,10.1785714 C4.28571429,10.3348214 4.3359375,10.4631696 4.43638393,10.5636161 C4.53683036,10.6640625 4.66517858,10.7142857 4.82142857,10.7142857 L5.89285714,10.7142857 C6.04910714,10.7142857 6.17745536,10.6640625 6.27790179,10.5636161 C6.37834821,10.4631696 6.42857143,10.3348214 6.42857143,10.1785714 Z M6.42857143,5.89285714 L6.42857143,4.82142857 C6.42857143,4.66517858 6.37834821,4.53683036 6.27790179,4.43638393 C6.17745536,4.3359375 6.04910714,4.28571429 5.89285714,4.28571429 L4.82142857,4.28571429 C4.66517858,4.28571429 4.53683036,4.3359375 4.43638393,4.43638393 C4.3359375,4.53683036 4.28571429,4.66517858 4.28571429,4.82142857 L4.28571429,5.89285714 C4.28571429,6.04910714 4.3359375,6.17745536 4.43638393,6.27790179 C4.53683036,6.37834821 4.66517858,6.42857143 4.82142857,6.42857143 L5.89285714,6.42857143 C6.04910714,6.42857143 6.17745536,6.37834821 6.27790179,6.27790179 C6.37834821,6.17745536 6.42857143,6.04910714 6.42857143,5.89285714 Z M15,27.3214286 L15,24.1071429 C15,23.9508929 14.9497768,23.8225446 14.8493304,23.7220982 C14.7488839,23.6216518 14.6205357,23.5714286 14.4642857,23.5714286 L9.10714286,23.5714286 C8.95089286,23.5714286 8.82254464,23.6216518 8.72209821,23.7220982 C8.62165179,23.8225446 8.57142857,23.9508929 8.57142857,24.1071429 L8.57142857,27.3214286 C8.57142857,27.4776786 8.62165179,27.6060268 8.72209821,27.7064732 C8.82254464,27.8069196 8.95089286,27.8571429 9.10714286,27.8571429 L14.4642857,27.8571429 C14.6205357,27.8571429 14.7488839,27.8069196 14.8493304,27.7064732 C14.9497768,27.6060268 15,27.4776786 15,27.3214286 Z M15,18.75 L15,17.6785714 C15,17.5223214 14.9497768,17.3939732 14.8493304,17.2935268 C14.7488839,17.1930804 14.6205357,17.1428571 14.4642857,17.1428571 L13.3928571,17.1428571 C13.2366071,17.1428571 13.1082589,17.1930804 13.0078125,17.2935268 C12.9073661,17.3939732 12.8571429,17.5223214 12.8571429,17.6785714 L12.8571429,18.75 C12.8571429,18.90625 12.9073661,19.0345982 13.0078125,19.1350446 C13.1082589,19.2354911 13.2366071,19.2857143 13.3928571,19.2857143 L14.4642857,19.2857143 C14.6205357,19.2857143 14.7488839,19.2354911 14.8493304,19.1350446 C14.9497768,19.0345982 15,18.90625 15,18.75 Z M15,14.4642857 L15,13.3928571 C15,13.2366071 14.9497768,13.1082589 14.8493304,13.0078125 C14.7488839,12.9073661 14.6205357,12.8571429 14.4642857,12.8571429 L13.3928571,12.8571429 C13.2366071,12.8571429 13.1082589,12.9073661 13.0078125,13.0078125 C12.9073661,13.1082589 12.8571429,13.2366071 12.8571429,13.3928571 L12.8571429,14.4642857 C12.8571429,14.6205357 12.9073661,14.7488839 13.0078125,14.8493304 C13.1082589,14.9497768 13.2366071,15 13.3928571,15 L14.4642857,15 C14.6205357,15 14.7488839,14.9497768 14.8493304,14.8493304 C14.9497768,14.7488839 15,14.6205357 15,14.4642857 Z M15,10.1785714 L15,9.10714286 C15,8.95089286 14.9497768,8.82254464 14.8493304,8.72209821 C14.7488839,8.62165179 14.6205357,8.57142857 14.4642857,8.57142857 L13.3928571,8.57142857 C13.2366071,8.57142857 13.1082589,8.62165179 13.0078125,8.72209821 C12.9073661,8.82254464 12.8571429,8.95089286 12.8571429,9.10714286 L12.8571429,10.1785714 C12.8571429,10.3348214 12.9073661,10.4631696 13.0078125,10.5636161 C13.1082589,10.6640625 13.2366071,10.7142857 13.3928571,10.7142857 L14.4642857,10.7142857 C14.6205357,10.7142857 14.7488839,10.6640625 14.8493304,10.5636161 C14.9497768,10.4631696 15,10.3348214 15,10.1785714 Z M15,5.89285714 L15,4.82142857 C15,4.66517858 14.9497768,4.53683036 14.8493304,4.43638393 C14.7488839,4.3359375 14.6205357,4.28571429 14.4642857,4.28571429 L13.3928571,4.28571429 C13.2366071,4.28571429 13.1082589,4.3359375 13.0078125,4.43638393 C12.9073661,4.53683036 12.8571429,4.66517858 12.8571429,4.82142857 L12.8571429,5.89285714 C12.8571429,6.04910714 12.9073661,6.17745536 13.0078125,6.27790179 C13.1082589,6.37834821 13.2366071,6.42857143 13.3928571,6.42857143 L14.4642857,6.42857143 C14.6205357,6.42857143 14.7488839,6.37834821 14.8493304,6.27790179 C14.9497768,6.17745536 15,6.04910714 15,5.89285714 Z M19.2857143,23.0357143 L19.2857143,21.9642857 C19.2857143,21.8080357 19.2354911,21.6796875 19.1350446,21.5792411 C19.0345982,21.4787946 18.90625,21.4285714 18.75,21.4285714 L17.6785714,21.4285714 C17.5223214,21.4285714 17.3939732,21.4787946 17.2935268,21.5792411 C17.1930804,21.6796875 17.1428571,21.8080357 17.1428571,21.9642857 L17.1428571,23.0357143 C17.1428571,23.1919643 17.1930804,23.3203125 17.2935268,23.4207589 C17.3939732,23.5212054 17.5223214,23.5714286 17.6785714,23.5714286 L18.75,23.5714286 C18.90625,23.5714286 19.0345982,23.5212054 19.1350446,23.4207589 C19.2354911,23.3203125 19.2857143,23.1919643 19.2857143,23.0357143 Z M19.2857143,18.75 L19.2857143,17.6785714 C19.2857143,17.5223214 19.2354911,17.3939732 19.1350446,17.2935268 C19.0345982,17.1930804 18.90625,17.1428571 18.75,17.1428571 L17.6785714,17.1428571 C17.5223214,17.1428571 17.3939732,17.1930804 17.2935268,17.2935268 C17.1930804,17.3939732 17.1428571,17.5223214 17.1428571,17.6785714 L17.1428571,18.75 C17.1428571,18.90625 17.1930804,19.0345982 17.2935268,19.1350446 C17.3939732,19.2354911 17.5223214,19.2857143 17.6785714,19.2857143 L18.75,19.2857143 C18.90625,19.2857143 19.0345982,19.2354911 19.1350446,19.1350446 C19.2354911,19.0345982 19.2857143,18.90625 19.2857143,18.75 Z M19.2857143,14.4642857 L19.2857143,13.3928571 C19.2857143,13.2366071 19.2354911,13.1082589 19.1350446,13.0078125 C19.0345982,12.9073661 18.90625,12.8571429 18.75,12.8571429 L17.6785714,12.8571429 C17.5223214,12.8571429 17.3939732,12.9073661 17.2935268,13.0078125 C17.1930804,13.1082589 17.1428571,13.2366071 17.1428571,13.3928571 L17.1428571,14.4642857 C17.1428571,14.6205357 17.1930804,14.7488839 17.2935268,14.8493304 C17.3939732,14.9497768 17.5223214,15 17.6785714,15 L18.75,15 C18.90625,15 19.0345982,14.9497768 19.1350446,14.8493304 C19.2354911,14.7488839 19.2857143,14.6205357 19.2857143,14.4642857 Z M19.2857143,10.1785714 L19.2857143,9.10714286 C19.2857143,8.95089286 19.2354911,8.82254464 19.1350446,8.72209821 C19.0345982,8.62165179 18.90625,8.57142857 18.75,8.57142857 L17.6785714,8.57142857 C17.5223214,8.57142857 17.3939732,8.62165179 17.2935268,8.72209821 C17.1930804,8.82254464 17.1428571,8.95089286 17.1428571,9.10714286 L17.1428571,10.1785714 C17.1428571,10.3348214 17.1930804,10.4631696 17.2935268,10.5636161 C17.3939732,10.6640625 17.5223214,10.7142857 17.6785714,10.7142857 L18.75,10.7142857 C18.90625,10.7142857 19.0345982,10.6640625 19.1350446,10.5636161 C19.2354911,10.4631696 19.2857143,10.3348214 19.2857143,10.1785714 Z M19.2857143,5.89285714 L19.2857143,4.82142857 C19.2857143,4.66517858 19.2354911,4.53683036 19.1350446,4.43638393 C19.0345982,4.3359375 18.90625,4.28571429 18.75,4.28571429 L17.6785714,4.28571429 C17.5223214,4.28571429 17.3939732,4.3359375 17.2935268,4.43638393 C17.1930804,4.53683036 17.1428571,4.66517858 17.1428571,4.82142857 L17.1428571,5.89285714 C17.1428571,6.04910714 17.1930804,6.17745536 17.2935268,6.27790179 C17.3939732,6.37834821 17.5223214,6.42857143 17.6785714,6.42857143 L18.75,6.42857143 C18.90625,6.42857143 19.0345982,6.37834821 19.1350446,6.27790179 C19.2354911,6.17745536 19.2857143,6.04910714 19.2857143,5.89285714 L19.2857143,5.89285714 Z"
              id="Shape"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
